<template>
  <div id="app">
    <router-view name="header" />
    <div class="wrapper">
      <router-view />
    </div>
    <router-view name="footer" />
    <div id="backtotop">
      <a href="#" />
    </div>
  </div>
</template>

<style lang="scss">
  @import "./assets/scss/core.scss";
</style>

<style lang="css">
@import "./assets/css/icons.css";
@import "./assets/css/shortcodes.css";
html {
  scroll-behavior: smooth;
}
  body {
      font-family: 'Ubuntu', sans-serif;
  }
  .colleftborder {
    border-left:5px solid #4280b0;
    max-width:750px;
  }
  .colleftborder > h3 {
    margin-top:80px;;
    text-align:justify
  }
  div.box-blue {
    font-size: 16px;
    width: 100%;
    margin: 0px auto;
    font-family: 'Ubuntu', sans-serif;
    color: #555555;
    padding: 20px 20px 20px 20px;
    border-left: 4px solid #4280b0;
    line-height: 1.6;
    position: relative;
    text-align: justify;
    background: #f9f9f9;
  }
  div.box-green {
    font-size: 16px;
    width: 100%;
    color: #029d39 !important;
    margin: 0px auto;
    font-family: 'Ubuntu', sans-serif;
    color: #555555;
    padding: 20px 20px 20px 20px;
    border-left: 4px solid #029d39;
    line-height: 1.6;
    position: relative;
    text-align: justify;
    background: #f9f9f9;
  }
  div.box-yellow {
    font-size: 16px;
    width: 100%;
    color: #ffdd57 !important;
    margin: 0px auto;
    font-family: 'Ubuntu', sans-serif;
    color: #ffdd57;
    padding: 20px 20px 20px 20px;
    border-left: 4px solid #ffdd57;
    line-height: 1.6;
    position: relative;
    text-align: justify;
    background: #f9f9f9;
  }
  div.box-red {
    font-size: 16px;
    width: 100%;
    color: #ff3860 !important;
    margin: 0px auto;
    font-family: 'Ubuntu', sans-serif;
    color: #ff3860;
    padding: 20px 20px 20px 20px;
    border-left: 4px solid #ff3860;
    line-height: 1.6;
    position: relative;
    text-align: justify;
    background: #f9f9f9;
  }
  a.link {
    color: #4680df !important;
    text-decoration: none !important;
  }
  a.link:hover {
    color: #4FC1EA !important;
  }
  button.is-primary {
    background-color: #4680df !important;
  }
  span.check {
    border-color:  #4680df !important;
    color: white !important;
  }
  .b-checkbox.checkbox input[type="checkbox"]:checked + .check {
    background-color: #4680df !important;
  }
  textarea:focus, textarea:active, input:focus, input:active, .taginput-container:focus, .taginput-container:active, .is-focused.taginput-container.is-focusable {
    border-color:  #4680df !important;
    box-shadow: 0 0 0 0.125em rgba(51,115,220,0.25) !important;
  }
  .boxicon {
    padding: 50px 20px 10px 20px;
    height: 100%;
    margin-bottom: 20px;
    text-align: center;
    border: 1px solid #e6e6e6;
    border-radius: 4px;
    position: relative;
    background:#fafafa;
  }
  .boxicon-home {
    border-radius:10px;
    border:none;
    background-color:#fff;
    box-shadow: 0 2px 29px 0 rgba(68, 88, 144, 0.12);
    height: auto;
  }
  .boxicon .bicon .notlink {
    cursor: default;
  }
  .boxicon > .bicon {
    position: absolute;
    top: -36px;
    left: calc(50% - 36px);
    transition: 0.2s;
    border-radius: 50%;
    display: inline-block;
    border: 6px solid #fff;
  }
  .boxicon > .bicon > a > span > i {
    font-size: 28px;
    color: #fff;
  }
  .boxicon > .bicon > a {
    display: inline-block;
    background: rgba(52, 59, 64, 1);
    border: 2px solid rgba(52, 59, 64, 1);
    padding: 16px;
    border-radius: 50%;
    transition: 0.3s;
    width: 62px;
    height: 62px;
    color: #fff;
  }
  .boxicon > h4 {
    font-weight: 700;
    font-size: 1.25em;
    text-transform: uppercase;
    letter-spacing: 3px;
    margin-top: 0px;
    margin-bottom: 10px;
  }
  .boxicon > p {
    color: #555;
  }
  .modal-card, .modal-card-body {
    overflow: auto !important;
  }
  .tabs li.is-active a {
    color: #4680df !important;
    border-bottom-color: #4680df !important;
  }
  ul {
    margin-bottom: 5px !important;
  }
  div.tooltip {
    height: 0px !important;
    padding: 0px !important;
  }
  article {
    color: #555 !important;
    text-align: justify;
    padding-right: 1.5rem !important;
  }
  div.wordCloud .text {
    cursor: pointer;
  }
  #nprogress .bar {
    background: #ffffff !important;
  }

  #nprogress .peg {
    box-shadow: 0 0 10px #ffffff, 0 0 5px #ffffff;
  }

  #nprogress .spinner-icon {
    border-top-color: #ffffff;
    border-left-color: #ffffff;
  }

  .menu-list a.is-active {
    background-color: rgba(52, 59, 64, 0.7) !important;
    color: white;
  }

  .news-title {
    background-color: #f9f9f9;
    border-radius: 0 15px 15px 0;
    border-right: 2px solid #4280b0;
    border-left: 1px solid lightgray;
    border-bottom: 1px solid lightgray;
    border-top: 1px solid lightgray;
    margin-left: 10px;
  }
  .news-title-content {
    margin-top:50px;
    letter-spacing:3px;
    opacity:0.7;
    transform: rotate(90deg);
    white-space: nowrap;
  }
  .h2-news {
    padding: 10px 10px 10px 15px;
    letter-spacing: 2px;
    transform: rotate(-2deg);
    background: linear-gradient(.25turn, rgba(66, 128, 176,0.3), 50%, rgba(255,255,255));
    border-image-source: linear-gradient(.25turn, rgb(66, 128, 176), 25%, rgb(255, 255, 255));
    border-image-slice: 1;
    border-top: 1px solid rgb(66, 128, 176);
    border-bottom: 1px solid rgb(66, 128, 176);
  }
  .section-nous {
    background:rgba(210, 221, 249, 0.2);
    padding-top: 70px;
  }
  .section-nous h2 {
    font-size: 14px;
    font-weight: 500;
    padding: 0;
    line-height: 1px;
    margin: 0 0 5px 0;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #aaaaaa;
    font-family: 'Poppins', sans-serif;
  }
  .section-nous h2::after {
    content: "";
    width: 120px;
    height: 1px;
    display: inline-block;
    background: #6c8fd6;
    margin: 4px 10px;
  }
  .section-nous .h2-title {
    margin: 0;
    font-size: 26px;
    font-weight: 700;
    text-transform: uppercase;
    font-family: 'Poppins', sans-serif;
    color: #2a2c39;
  }
  .mastodon {
    border-radius:10px;
    background-color:rgba(52, 59, 64, 1) !important;
    opacity:0.9;
    height:712px;
  }
  iframe {
    background-image: url("./assets/images/loaders/spinner.gif");
    background-repeat: no-repeat;
    background-position: 50% 25%;
    border:1px solid lightgray;
    border-radius:10px;
  }
  object {
    background-image: url("./assets/images/loaders/spinner.gif");
    background-repeat: no-repeat;
    background-position: 50% 25%;
    border:1px solid lightgray;
    border-radius:10px;
  }
</style>
